local M = {}

local helper = require('scenario/scenariohelper')

local function onRaceStart()
    helper.setAiMode('robber', 'stop')
end

local function onRaceWaypoint(data)
    if data.waypointName == 'WayPoint3' then
        helper.flashUiMessage('Stop John!', 2)
        helper.setAiMode('John', 'flee')
        helper.setAiAggression('John', 1.5)
    end
end

M.onRaceWaypoint = onRaceWaypoint
M.onRaceStart = onRaceStart

return M